Action class to use for the ShortcutJS

export
class

  Action

### Hierarchy

- Action

## Index

### Constructors

- constructor

### Properties

- callbacks
- keyCombo
- name

### Methods

- addCallback
- removeCallback

## Constructors

### constructor

- new Action(name: string, keyCombo: KeyCombo): Action

- - Defined in action.ts:27

  Creates an instance of Action.

  #### Parameters

  - ##### name: string

  - ##### keyCombo: KeyCombo

  #### Returns Action

## Properties

### callbacks

callbacks: Set<Function>

- Defined in action.ts:27

### keyCombo

keyCombo: KeyCombo

- Defined in action.ts:26

### name

name: string

- Defined in action.ts:25

## Methods

### addCallback

- addCallback(cb: Function): void

- - Defined in action.ts:43

  #### Parameters

  - ##### cb: Function

  #### Returns void

### removeCallback

- removeCallback(cb?: Function): void

- - Defined in action.ts:47

  #### Parameters

  - ##### Default value cb: Function = null

  #### Returns void

Generated using TypeDoc